Highlighting New Comments

November 7th, 2021
tech
Keeping track of which comments you have already read in an online discussion is a pain. It's not too bad in a flat discussion, because you can scroll up to the last comment you remember reading, but in a threaded discussion it's really easy to miss things. Sites can solve this by highlighting new comments:

Why isn't this more common?

The general idea is quite old: mail readers have always marked new messages, so a threaded view with highlighted messages goes back at least to the beginning of threading mail readers. I was using this in the early 2000s, but it's surely older: the In-Reply-To header goes back to RFC 680 (1975) via RFC 733 (1977) and RFC 822 (1982).

On web forums, Reddit added new comment highlighting August 2010, but limited it to subscribers (then "Gold", now "Premium"). It used to be a headline feature of Gold (#2 in 2012, falling to #4 in 2013) but was dropped from advertising in the 2018 rebrand to Premium.

Since I never bought a Reddit subscription, I first saw new comment highlighting on LessWrong, where it was added on May 2011. Some time before 2015 (I think it was early 2014) it was added to SlateStarCodex, and I added it to my commenting system in August 2014. It survived the LessWrong rewrite, and it's supported by the other deployments of that platform.

From a technical perspective, it is a pretty small change: you can implement it client-side in a dozen lines. Many people have written userscripts to add this functionality to sites that don't have it.

The idea has been around for over ten years, it's very simple to implement, it dramatically improves the experience of returning to a complex discussion, but most comment systems that would benefit from it don't support it. Since at this point the explanation is not going to be that the people who would need to add it to FB/HN/etc haven't heard of it, I think the explanation likely goes back to some form of me (and the LW/EA communities) having unusual preferences? Maybe most people don't return to discussions? Or find it distracting? What's going on?

Referenced in: Detecting What's Been Seen

Comment via: facebook, lesswrong, substack

Recent posts on blogs I like:

Polyamory is sticky

Some people are only happy in monogamous relationships.

via Thing of Things October 30, 2026

“We should be more ambitious with the software we build”

Since early this year, Michael Malis (of pgrust) has been showing me interesting things he's done and saying [W]e should be more ambitious1 with the software we build There is, understandably, a lot of skepticism about projects like pgrust because there…

via Posts on October 24, 2026

Was the HuggingFace hacking incident scheming?

In July 2026, internal OpenAI agents hacked HuggingFace (HF) in order to figure out how their evaluation grader works. This involved a thousand agents coordinating on an improvised message board to carry out an elaborate sequence of exploits. A later grou…

via Victoria Krakovna October 18, 2026

more     (via openring)